Bug 519217 - NameError: global name '_ped' is not defined
Summary: NameError: global name '_ped' is not defined
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:e8c016196cf6ad4ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 17:04 UTC by James Laska
Modified: 2013-09-02 06:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 17:07:29 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (56.78 KB, text/plain)
2009-08-25 17:04 UTC, James Laska
no flags Details
Attached traceback automatically from anaconda. (53.31 KB, text/plain)
2009-08-25 19:14 UTC, Fabio Canepa
no flags Details
Attached traceback automatically from anaconda. (123.13 KB, text/plain)
2009-08-26 08:54 UTC, Andrew Parker
no flags Details

Description James Laska 2009-08-25 17:04:46 UTC
The following was filed automatically by anaconda:
anaconda 12.16 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/disklabel.py", line 103, in partedDisk
    except _ped.DiskLabelException as e:
  File "/usr/lib/anaconda/storage/formats/disklabel.py", line 67, in __init__
    self._origPartedDisk = self.partedDisk.duplicate()
  File "/usr/lib/anaconda/storage/formats/__init__.py", line 89, in getFormat
    fmt = fmt_class(*args, **kwargs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1300, in handleUdevDiskLabelFormat
    exists=not initlabel)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1250, in addUdevDevice
    self.handleUdevDiskLabelFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1868, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 293, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 92, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
NameError: global name '_ped' is not defined

Comment 1 James Laska 2009-08-25 17:04:51 UTC
Created attachment 358603 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2009-08-25 17:07:29 UTC
12.17

Comment 3 Fabio Canepa 2009-08-25 19:14:59 UTC
Created attachment 358619 [details]
Attached traceback automatically from anaconda.

Comment 4 Andrew Parker 2009-08-26 08:54:08 UTC
Created attachment 358684 [details]
Attached traceback automatically from anaconda.


Note You need to log in before you can comment on or make changes to this bug.